"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _FeaturedList = _interopRequireDefault(require("../FeaturedList2"));

var _Image = _interopRequireDefault(require("../Image"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ImageList(_ref) {
  var items = _ref.items,
      _ref$largeCount = _ref.largeCount,
      largeCount = _ref$largeCount === void 0 ? 2 : _ref$largeCount,
      _ref$smallCount = _ref.smallCount,
      smallCount = _ref$smallCount === void 0 ? 3 : _ref$smallCount,
      _ref$showMoreMessage = _ref.showMoreMessage,
      showMoreMessage = _ref$showMoreMessage === void 0 ? '{count}+' : _ref$showMoreMessage,
      onSelect = _ref.onSelect,
      onShowMore = _ref.onShowMore,
      theme = _ref.theme;
  return _react.default.createElement(_FeaturedList.default, {
    items: items,
    largeCount: largeCount,
    smallCount: smallCount,
    showMoreMessage: showMoreMessage,
    onSelect: onSelect,
    onShowMore: onShowMore,
    theme: theme,
    renderItem: function renderItem(item) {
      return _react.default.createElement(_Image.default, _extends({
        className: theme.image
      }, item));
    }
  });
}

var _default = (0, _reactCssThemr.themr)('ImageList', {}, {
  composeTheme: 'softly'
})(ImageList);

exports.default = _default;