"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _ = _interopRequireDefault(require("."));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var items = [{
  src: 'https://source.unsplash.com/user/erondu/400x300'
}, {
  src: 'https://source.unsplash.com/user/erondu/400x300'
}, {
  src: 'https://source.unsplash.com/user/erondu/400x300'
}, {
  src: 'https://source.unsplash.com/user/erondu/400x300'
}, {
  src: 'https://source.unsplash.com/user/erondu/400x300'
}, {
  src: 'https://source.unsplash.com/user/erondu/400x300'
}];
var theme = {
  root: '',
  largeList: 'flex w-100 mb2',
  largeWrapper: 'flex-auto ph1',
  largeImage: 'aspect-ratio--4x3 relative pointer',
  smallList: 'flex w-100',
  smallWrapper: 'flex-auto ph1',
  smallImage: 'aspect-ratio--4x3 relative pointer',
  showMoreOverlay: 'bg-black-30 hover-bg-black-40 flex items-center justify-center',
  showMore: 'white f5'
};
(0, _react2.storiesOf)('Image List', module).add('Have enough items', function () {
  return _react.default.createElement("div", null, _react.default.createElement(_.default, {
    items: items,
    showMoreMessage: 'Xem thêm {count}+ hình',
    theme: theme,
    onSelect: console.log
  }));
}).add('Have not enough items', function () {
  return _react.default.createElement("div", null, _react.default.createElement(_.default, {
    items: items.slice(0, 2),
    theme: theme,
    onSelect: console.log
  }));
});