"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _ContactInfo = _interopRequireDefault(require("../ContactInfo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ContactInfoList(_ref) {
  var items = _ref.items,
      icons = _ref.icons,
      labels = _ref.labels,
      showIcon = _ref.showIcon,
      showLabel = _ref.showLabel,
      theme = _ref.theme;
  return _react.default.createElement("div", {
    className: theme.root
  }, items.map(function (_ref2, idx) {
    var title = _ref2.title,
        contact = _ref2.contact;
    return _react.default.createElement("div", {
      className: theme.itemWrapper,
      key: idx
    }, _react.default.createElement("div", {
      className: theme.title
    }, title), _react.default.createElement(_ContactInfo.default, {
      contact: contact,
      icons: icons,
      labels: labels,
      showIcon: showIcon,
      showLabel: showLabel,
      theme: theme.item
    }));
  }));
}

var _default = (0, _reactCssThemr.themr)('ContactInfoList', {
  root: 'pa2'
}, {
  composeTheme: 'softly'
})(ContactInfoList);

exports.default = _default;